% ex06.m
clear;
fs=8000;
s=wavread('sine.wav');
N=64;
length_of_s=length(s);
S=zeros(1,length_of_s);
for k=1:N,
    for n=1:N,
        S(k)=S(k)+...
            s(n)*exp(-j*2*pi*(k-1)*(n-1)/N);
    end
end
A=zeros(1,N/2+1);
f=zeros(1,N/2+1);
for k=1:N/2+1,
    A(k)=abs(S(k));
    f(k)=(k-1)*fs/N/1000;
end
stem(f,A);
axis([0 4 0 10]);
